function [ theta,P ] = RMNS_2_Rad(Mvst,Mvyst,P,theta)
    phi = [Mvyst(end-1);Mvyst(end-2); Mvst(end-1);Mvst(end-2)]; %výpočet phi pre aktuálny krok
    e = Mvyst(end) - phi' * theta; %výpočet odchýlky
    K = (P * phi) / (1 + phi' * P * phi); %výpočet korekcie
    P = P - K * phi' * P; %výpočet aktuálnej kovariančnej matice
    theta = theta + K * e; %výpočet odhadu aktuálnych parametrov
end


